---
extends: "default"

yaml-files:
  - '*.yaml'
  - '*.yml'
  - '.yamllint'

ignore:
  - "**/tests/inventory/group_vars/vault.yml"
  - "**/node_modules/**"
  - "**/roles/**"

rules:
  braces:
    max-spaces-inside: 1
  brackets: "enable"
  colons: "enable"
  commas: "enable"
  comments:
    level: "error"
    min-spaces-from-content: 1
  comments-indentation: "disable"
  document-end: "disable"
  document-start:
    level: "error"
  empty-lines: "enable"
  empty-values: "disable"
  float-values: "disable"
  hyphens: "enable"
  indentation: "enable"
  key-duplicates: "enable"
  key-ordering: "disable"
  line-length: "disable"
  new-line-at-end-of-file: "enable"
  new-lines: "enable"
  octal-values:
    forbid-implicit-octal: true
    forbid-explicit-octal: true
  quoted-strings: "enable"
  trailing-spaces: "enable"
  truthy:
    level: "error"
